diff options
author | Jim Meyering <meyering@redhat.com> | 2009-10-02 10:52:09 +0200 |
---|---|---|
committer | Jim Meyering <meyering@redhat.com> | 2009-10-02 12:10:21 +0200 |
commit | 95c01c656e061bccbab41fa651c99cb7041c9937 (patch) | |
tree | ca4c8f91131819ca880f6c20958c957604b30286 /gnu-web-doc-update | |
parent | 8a7f66feb4924ccd0be59a602058f88bf8b59c87 (diff) | |
download | coreutils-95c01c656e061bccbab41fa651c99cb7041c9937.tar.xz |
maint: move gnu-web-doc-update script to gnulib
* bootstrap.conf (gnulib_modules): Add gnu-web-doc-update.
Remove gendocs, since gnu-web-doc-update depends on it.
* gnu-web-doc-update: Remove file, now that we get it from gnulib.
Diffstat (limited to 'gnu-web-doc-update')
-rwxr-xr-x | gnu-web-doc-update | 40 |
1 files changed, 0 insertions, 40 deletions
diff --git a/gnu-web-doc-update b/gnu-web-doc-update deleted file mode 100755 index 41e989add..000000000 --- a/gnu-web-doc-update +++ /dev/null @@ -1,40 +0,0 @@ -#!/bin/sh -# Run this after each non-alpha release, to update the web documentation at -# http://www.gnu.org/software/$pkg/manual/ -# Requirements: everything required to bootstrap your package, -# plus these: git, cvs, cvsu, rsync, mktemp - -version=$(cat .prev-version) -pkg=$(sed -n 's/^PACKAGE = \(.*\)/\1/p' Makefile) -tmp_branch=web-doc-$version-$$ - -cleanup() -{ - __st=$?; - rm -rf "$tmp" - git checkout master - git branch -d $tmp_branch - exit $__st -} -trap cleanup 0 -trap 'exit $?' 1 2 13 15 - -# We must build using sources for which --version reports the -# just-released version number, not some string like 7.6.18-20761. -# That version string propagates into all documentation. -git checkout -b $tmp_branch v$version -./bootstrap && ./configure && make && make web-manual - -tmp=$(mktemp -d --tmpdir=. web-doc-update.XXXXXX) || exit 1 -( cd $tmp \ - && cvs -d $USER@cvs.sv.gnu.org:/webcvs/$pkg co $pkg ) -rsync -avP doc/manual/ $tmp/$pkg/manual - -( - cd $tmp/$pkg/manual - - # Add any new files: - cvsu --types='?'|sed s/..// | xargs --no-run-if-empty -- cvs add -ko - - cvs ci -m $version -) |